// Shuffler.h
// Swarm library.
// Copyright (C) 1996  by the Regents of the University of Michigan.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

// object to shuffle Swarm List list with num elts, in place
// from Knuth vol 2

//#import <swarmobject.h> //for V.1.0.5
#import <objectbase/SwarmObject.h>  //for V2.1.1
#import <simtools.h>

@interface Shuffler: SwarmObject {
  id <UniformIntegerDist> uniformRandom;   //in order to make it run under Swarm V.1.0.5 change UniformIntegerDist for UniformInteger
}

-setUniformRandom: (id) rnd;
-createEnd;
-shuffleList: list;

@end


